# Poco

# class NullOutputStream

Library: Foundation
Package: Streams
Header: Poco/NullStream.h

## Description

This stream discards all characters written to it.

## Inheritance

Direct Base Classes: NullIOS, std::ostream

All Base Classes: NullIOS, std::ios, std::ostream

## Constructors

### NullOutputStream

NullOutputStream();

Creates the NullOutputStream.

## Destructor

### ~NullOutputStream

~NullOutputStream();

Destroys the NullOutputStream.